#ifndef _SCROLLER_H
#define _SCROLLER_H

/* The calls to XtVaSetValues are needed to work around a bug in the Viewport
   widget.  They basically force the Viewport widget to recompute sizes. */

extern Widget vport

inline void ResetViewport(int x, int y) 	{
	XawViewportSetCoordinates(vport, x, y); 
	XtVaSetValues(vport, XtNforceBars, True, NULL); 
	XtVaSetValues(vport, XtNforceBars, False, NULL); 
	}

#endif
